from django.shortcuts import redirect
from django.forms.models import BaseModelForm
from django.http import HttpResponse
from django.views import generic

from webapp.models import Comment, Article
from webapp.forms import CommentForm


class CommentCreateView(generic.CreateView):
    model = Comment
    template_name = 'comments/comment.html'
    form_class = CommentForm

    def form_valid(self, form):
        # article = get_object_or_404(Article, id=self.kwargs.get(''))
        article_id = self.kwargs.get('article_id')

        comment = form.save(commit=False)
        comment.article_id = article_id
        comment.save()
        
        return redirect('articles_detail', id=article_id)
